#!/bin/bash
cp .gitignore $(dirname ./02-udp/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.echo/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.echo_solution/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.game_solution/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.messwerte/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.messwerte_solution/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.time/pom.xml)
cp .gitignore $(dirname ./02-udp/udp.time_solution/pom.xml)
cp .gitignore $(dirname ./03-tcp/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.echo/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.echo_solution/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.filer/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.filer_solution/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.time/pom.xml)
cp .gitignore $(dirname ./03-tcp/tcp.time_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.chat/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.chat_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.client/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.client_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.echo/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.echo_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.logger/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.logger_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.revers_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/jms.tasks_solution/pom.xml)
cp .gitignore $(dirname ./05-jms/pom.xml)
cp .gitignore $(dirname ./06-mqtt/mqtt.logger/pom.xml)
cp .gitignore $(dirname ./06-mqtt/mqtt.logger_solution/pom.xml)
cp .gitignore $(dirname ./06-mqtt/mqtt.smarthome_solution/pom.xml)
cp .gitignore $(dirname ./06-mqtt/pom.xml)
cp .gitignore $(dirname ./07-http/http.webserver/pom.xml)
cp .gitignore $(dirname ./07-http/http.webserver_solution/pom.xml)
cp .gitignore $(dirname ./07-http/pom.xml)
cp .gitignore $(dirname ./08-servlet/pom.xml)
cp .gitignore $(dirname ./08-servlet/servlet.hello/pom.xml)
cp .gitignore $(dirname ./08-servlet/servlet.media_solution/pom.xml)
cp .gitignore $(dirname ./08-servlet/servlet.poll/pom.xml)
cp .gitignore $(dirname ./08-servlet/servlet.wahlen/pom.xml)
cp .gitignore $(dirname ./09-cloud/pom.xml)
cp .gitignore $(dirname ./15-protobuf/pom.xml)
cp .gitignore $(dirname ./15-protobuf/protobuf.syslog/pom.xml)
cp .gitignore $(dirname ./18-rest/pom.xml)
cp .gitignore $(dirname ./18-rest/rest.hello/pom.xml)
cp .gitignore $(dirname ./20-websocket/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.chat/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.chat_solution/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.datasensor_solution/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.echo/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.echo_solution/pom.xml)
cp .gitignore $(dirname ./20-websocket/websocket.sensor_solution/pom.xml)
cp .gitignore $(dirname ./21-graphql/graphql.election/pom.xml)
cp .gitignore $(dirname ./21-graphql/graphql.election_solution/pom.xml)
cp .gitignore $(dirname ./21-graphql/pom.xml)
cp .gitignore $(dirname ./22-grpc/grpc.quarkus_solution/pom.xml)
cp .gitignore $(dirname ./22-grpc/grpc.syslog/pom.xml)
cp .gitignore $(dirname ./22-grpc/pom.xml)
cp .gitignore $(dirname ./99-microservices/quarkus-rest/pom.xml)
cp .gitignore $(dirname ./99-microservices/quarkus_solution/pom.xml)
cp .gitignore $(dirname ./pom.xml)
